<?php


namespace ModulesGarden\Servers\ProxmoxCloudVps\App\UI\Home\Providers;


use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Interfaces\ClientArea;
use ModulesGarden\Servers\ProxmoxCloudVps\Core\UI\Widget\Forms\DataProviders\BaseDataProvider;

class SshKeyProvider extends BaseDataProvider implements ClientArea
{

    public function read()
    {
        $this->data['public'] = \ModulesGarden\ProxmoxAddon\Core\Helper\sl('Vm')->getVmModel()->keyPair->getPublic();

    }

    public function update()
    {
    }
}